Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.ogcwebservices.wcs.XMLFactory

    public class XMLFactory

extends XMLFactory

Since:
  1.1
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary
`protected static URI` | `DGRNS`
`protected static URI` | `WCSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`protected static void` | `appendAddress(Element ciNode, Address address)` appends a XML representation of the passed `Phone` to the passed `XmlNode`
`protected static void` | `appendAxisDescription(Element xmlNode, AxisDescription axisDesc)` appends a XML representation of the passed `AxisDescription` to the passed `XmlNode`
`protected static void` | `appendCapability(Element root, Capability capability)` appends a XML representation of the passed `OnLineResource` to the passed `Element`.
`protected static void` | `appendContactInfo(Element contactNode, ContactInfo contactInfo)` appends a XML representation of the passed `ContactInfo` to the passed `XmlNode`
`protected static void` | `appendContentMetadata(Element root, ContentMetadata contentMetadata)` appends a XML representation of the passed `ContentMetadata` to the passed `Element`
`protected static void` | `appendCoverageOffering(Element parent, CoverageOffering coverageOffering)`
`protected static void` | `appendCoverageOfferingBrief(Element contentNode, CoverageOfferingBrief cob)` appends a XML representation of the passed `CoverageOfferingBrief` to the passed `XmlNode`
`protected static void` | `appendDeegreeParams(Element root, WCSDeegreeParams deegreeParam)` appends the XML representation of the deegreeParams section to the passed `Element`
`protected static void` | `appendDirectoryList(Element dgrParam, String[] directoryList)` appends the XML representation of a list of data directory names to the passed `XmlNode`
`protected static void` | `appendDomainSet(Element xmlNode, DomainSet domainSet)` appends a XML representation of the passed `DomainSet` to the passed `XmlNode`
`protected static void` | `appendExceptionFormat(Element root, ExceptionFormat excepForm)` appends a XML representation of the passed `OnLineResource` to the passed `Element`.
`protected static void` | `appendMetadataLink(Element xmlNode, MetadataLink mLink)` appends the XML representation of the passed `MetadataLink` to the passed `XmlNode` including all attributes
`protected static void` | `appendNullValues(Element xmlNode, ValueEnum values)` appends a XML representation of the passed `ValueEnum` to the passed `XmlNode`
`protected static void` | `appendOnlineResource(Element ciNode, OnlineResource olr)` appends a XML representation of the passed `OnLineResource` to the passed `XmlNode`
`protected static void` | `appendOperation(String name, Element root, Operation operation)` appends a XML representation of the passed `OnLineResource` to the passed `Element`. at the moment just the first DCPType is considered because other types than HTTP are not supported yet.
`protected static void` | `appendPhone(Element ciNode, Phone phone)` appends a XML representation of the passed `Phone` to the passed `XmlNode`
`protected static void` | `appendRangeSet(Element xmlNode, RangeSet rangeSet)` appends a XML representation of the passed `RangeSet` to the passed `XmlNode`
`protected static void` | `appendResponsibleParty(Element servNode, CitedResponsibleParty responsibleParty)` appends a XML representation of the passed `CitedResponsibleParty` to the passed `XmlNode`
`protected static void` | `appendService(Element element, Service service)` appends a XML representation of the passed `CapabilitiesService` to the passed `XmlNode`
`protected static void` | `appendSpatialDomain(Element xmlNode, SpatialDomain spatialDomain)` append the XML representation of a `SpatialDomain` object to the passed `XmlNode`.
`protected static void` | `appendSupportedCRSs(Element xmlNode, SupportedSRSs supportedCRSs)` appends a XML representation of the passed `SupportedSRSs` to the passed `XmlNode`
`protected static void` | `appendSupportedFormats(Element xmlNode, SupportedFormats supportedFormats)` appends a XML representation of the passed `SupportedFormats` to the passed `XmlNode`
`protected static void` | `appendSupportedInterpolations(Element xmlNode, SupportedInterpolations supportedInterpolations)` appends a XML representation of the passed `SupportedInterpolations` to the passed `XmlNode`
`static XMLFragment` | `export(CoverageDescription coverageDescription)` exprots a WCS `CoverageDescription` object to its XML represetation encapsulated within a `XmlDocument`
`static WCSCapabilitiesDocument` | `export(WCSCapabilities capabilities)` ... notice: at the moment just HTTP is supported as DCPType.
`static XMLFragment` | `export(WCSConfiguration configuration)`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WCSNS

    protected static final URI WCSNS

### DGRNS

    protected static final URI DGRNS

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static WCSCapabilitiesDocument export(WCSCapabilities capabilities)
                                          throws InvalidCapabilitiesException,
                                                 IOException

  ... notice: at the moment just HTTP is supported as DCPType. It is assumed that just one HTTP element is assigned within an operation vendor specific capabilities are not supported yet and won't be appended to the document if present.

  Parameters:
    `capabilities` -
  Returns:
    the xml representation of the given bean.
  Throws:
    `InvalidCapabilitiesException`
    `IOException`

### export

    public static XMLFragment export(WCSConfiguration configuration)
                              throws InvalidConfigurationException,
                                     IOException

  Parameters:
    `configuration` - to be exported
  Returns:
    the configuration represented as an xml dom object.
  Throws:
    `InvalidConfigurationException`
    `IOException`

### export

    public static XMLFragment export(CoverageDescription coverageDescription)
                              throws IOException

  exprots a WCS `CoverageDescription` object to its XML represetation encapsulated within a `XmlDocument`

  Parameters:
    `coverageDescription` -
  Returns:
    the coverage description as an xml dom object.
  Throws:
    `IOException`

### appendDeegreeParams

    protected static void appendDeegreeParams(Element root,
                                              WCSDeegreeParams deegreeParam)
                                       throws XMLParsingException

  appends the XML representation of the deegreeParams section to the passed `Element`

  Parameters:
    `root` -
    `deegreeParam` -
  Throws:
    `XMLParsingException`

### appendDirectoryList

    protected static void appendDirectoryList(Element dgrParam,
                                              String[] directoryList)

  appends the XML representation of a list of data directory names to the passed `XmlNode`

  Parameters:
    `dgrParam` -
    `directoryList` -

### appendCoverageOffering

    protected static void appendCoverageOffering(Element parent,
                                                 CoverageOffering coverageOffering)

### appendMetadataLink

    protected static void appendMetadataLink(Element xmlNode,
                                             MetadataLink mLink)

  appends the XML representation of the passed `MetadataLink` to the passed `XmlNode` including all attributes

  Parameters:
    `xmlNode` -
    `mLink` -

### appendDomainSet

    protected static void appendDomainSet(Element xmlNode,
                                          DomainSet domainSet)

  appends a XML representation of the passed `DomainSet` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `domainSet` -

### appendSpatialDomain

    protected static void appendSpatialDomain(Element xmlNode,
                                              SpatialDomain spatialDomain)

  append the XML representation of a `SpatialDomain` object to the passed `XmlNode`. At the moment deegree just considers enclosed gml:Envelope elements gml:Grid and gml:Polygon are not supported yet

  Parameters:
    `xmlNode` -
    `spatialDomain` -

### appendRangeSet

    protected static void appendRangeSet(Element xmlNode,
                                         RangeSet rangeSet)

  appends a XML representation of the passed `RangeSet` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `rangeSet` -

### appendAxisDescription

    protected static void appendAxisDescription(Element xmlNode,
                                                AxisDescription axisDesc)

  appends a XML representation of the passed `AxisDescription` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `axisDesc` -

### appendNullValues

    protected static void appendNullValues(Element xmlNode,
                                           ValueEnum values)

  appends a XML representation of the passed `ValueEnum` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `values` -

### appendSupportedCRSs

    protected static void appendSupportedCRSs(Element xmlNode,
                                              SupportedSRSs supportedCRSs)

  appends a XML representation of the passed `SupportedSRSs` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `supportedCRSs` -

### appendSupportedFormats

    protected static void appendSupportedFormats(Element xmlNode,
                                                 SupportedFormats supportedFormats)

  appends a XML representation of the passed `SupportedFormats` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `supportedFormats` -

### appendSupportedInterpolations

    protected static void appendSupportedInterpolations(Element xmlNode,
                                                        SupportedInterpolations supportedInterpolations)

  appends a XML representation of the passed `SupportedInterpolations` to the passed `XmlNode`

  Parameters:
    `xmlNode` -
    `supportedInterpolations` -

### appendService

    protected static void appendService(Element element,
                                        Service service)

  appends a XML representation of the passed `CapabilitiesService` to the passed `XmlNode`

  Parameters:
    `element` -
    `service` -

### appendResponsibleParty

    protected static void appendResponsibleParty(Element servNode,
                                                 CitedResponsibleParty responsibleParty)

  appends a XML representation of the passed `CitedResponsibleParty` to the passed `XmlNode`

  Parameters:
    `servNode` -
    `responsibleParty` -

### appendContactInfo

    protected static void appendContactInfo(Element contactNode,
                                            ContactInfo contactInfo)

  appends a XML representation of the passed `ContactInfo` to the passed `XmlNode`

  Parameters:
    `contactNode` -
    `contactInfo` -

### appendPhone

    protected static void appendPhone(Element ciNode,
                                      Phone phone)

  appends a XML representation of the passed `Phone` to the passed `XmlNode`

  Parameters:
    `ciNode` -
    `phone` -

### appendAddress

    protected static void appendAddress(Element ciNode,
                                        Address address)

  appends a XML representation of the passed `Phone` to the passed `XmlNode`

  Parameters:
    `ciNode` -
    `address` -

### appendOnlineResource

    protected static void appendOnlineResource(Element ciNode,
                                               OnlineResource olr)

  appends a XML representation of the passed `OnLineResource` to the passed `XmlNode`

  Parameters:
    `ciNode` -
    `olr` -

### appendCapability

    protected static void appendCapability(Element root,
                                           Capability capability)
                                    throws XMLParsingException

  appends a XML representation of the passed `OnLineResource` to the passed `Element`. Notice: vendor specific capabilities are not supported yet and, if present, won't be appended to the root element

  Parameters:
    `root` -
    `capability` -
  Throws:
    `XMLParsingException`

### appendOperation

    protected static void appendOperation(String name,
                                          Element root,
                                          Operation operation)
                                   throws XMLParsingException

  appends a XML representation of the passed `OnLineResource` to the passed `Element`. at the moment just the first DCPType is considered because other types than HTTP are not supported yet.

  Parameters:
    `name` -
    `root` -
    `operation` -
  Throws:
    `XMLParsingException`

### appendExceptionFormat

    protected static void appendExceptionFormat(Element root,
                                                ExceptionFormat excepForm)

  appends a XML representation of the passed `OnLineResource` to the passed `Element`.

  Parameters:
    `root` -
    `excepForm` -

### appendContentMetadata

    protected static void appendContentMetadata(Element root,
                                                ContentMetadata contentMetadata)
                                         throws XMLParsingException

  appends a XML representation of the passed `ContentMetadata` to the passed `Element`

  Parameters:
    `root` -
    `contentMetadata` -
  Throws:
    `XMLParsingException`

### appendCoverageOfferingBrief

    protected static void appendCoverageOfferingBrief(Element contentNode,
                                                      CoverageOfferingBrief cob)

  appends a XML representation of the passed `CoverageOfferingBrief` to the passed `XmlNode`

  Parameters:
    `contentNode` -
    `cob` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org